Bug 1399727 (CVE-2016-7910) - CVE-2016-7910 kernel: Use after free in seq file
Summary: CVE-2016-7910 kernel: Use after free in seq file
Status: NEW
Alias: CVE-2016-7910
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160804,repor...
Keywords: Security
Depends On: 1418548 1418549 1418550 1418551 1418552 1418553 1418554 1418555 1459303
Blocks: 1395238
TreeView+ depends on / blocked
 
Reported: 2016-11-29 15:43 UTC by Adam Mariš
Modified: 2019-02-28 22:31 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the Linux kernel's implementation of seq_file where a local attacker could manipulate memory in the put() function pointer. This could lead to memory corruption and possible privileged escalation.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:3163 normal SHIPPED_LIVE new packages: kernel-alt 2017-11-09 14:59:25 UTC
Red Hat Product Errata RHSA-2017:0892 normal SHIPPED_LIVE Important: kernel security and bug fix update 2017-04-11 15:46:38 UTC
Red Hat Product Errata RHSA-2017:1297 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-05-25 17:28:57 UTC
Red Hat Product Errata RHSA-2017:1298 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-05-25 17:39:36 UTC
Red Hat Product Errata RHSA-2017:1308 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-05-25 19:32:54 UTC

Description Adam Mariš 2016-11-29 15:43:27 UTC
A flaw was found in the Linux kernels implementation of seq_file where an local attacker could create a situation in which an attacker could manipulate memory in which the function pointer to put() could be used for malicious purposes. This could lead to memory corruption and possible privledged escalation.

There are no exploits available for this flaw at this time.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=77da160530dd1dc94f6ae15a981f24e5f0021e84

Comment 7 Vladis Dronov 2017-02-09 13:26:40 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 as the code which can trigger the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2. Future Linux kernel updates for the respective releases might address this issue.

Comment 8 errata-xmlrpc 2017-04-11 11:48:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0892 https://access.redhat.com/errata/RHSA-2017:0892

Comment 9 errata-xmlrpc 2017-05-25 13:31:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:1297 https://access.redhat.com/errata/RHSA-2017:1297

Comment 10 errata-xmlrpc 2017-05-25 13:41:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1298 https://access.redhat.com/errata/RHSA-2017:1298

Comment 11 errata-xmlrpc 2017-05-25 15:39:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1308 https://access.redhat.com/errata/RHSA-2017:1308


Note You need to log in before you can comment on or make changes to this bug.